Package com.ocient.jdbc.proto

## Class PlanProtocol.ColumnEmitterOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ColumnEmitterOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ColumnEmitterOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ColumnEmitterOperator

    public static final class PlanProtocol.ColumnEmitterOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>
    implements PlanProtocol.ColumnEmitterOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.ColumnEmitterOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.ColumnEmitterOperator.Builder` `addAllColumns​(Iterable<? extends PlanProtocol.TestColumn> values)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `addColumns​(int index, PlanProtocol.TestColumn value)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `addColumns​(int index, PlanProtocol.TestColumn.Builder builderForValue)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `addColumns​(PlanProtocol.TestColumn value)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `addColumns​(PlanProtocol.TestColumn.Builder builderForValue)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.TestColumn.Builder` `addColumnsBuilder()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.TestColumn.Builder` `addColumnsBuilder​(int index)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ColumnEmitterOperator` `build()`
`PlanProtocol.ColumnEmitterOperator` `buildPartial()`
`PlanProtocol.ColumnEmitterOperator.Builder` `clear()`
`PlanProtocol.ColumnEmitterOperator.Builder` `clearColumns()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ColumnEmitterOperator.Builder` `clearNumRows()` `uint64 numRows = 2;`
`PlanProtocol.ColumnEmitterOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ColumnEmitterOperator.Builder` `clone()`
`PlanProtocol.TestColumn` `getColumns​(int index)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.TestColumn.Builder` `getColumnsBuilder​(int index)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`List<PlanProtocol.TestColumn.Builder>` `getColumnsBuilderList()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`int` `getColumnsCount()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`List<PlanProtocol.TestColumn>` `getColumnsList()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.TestColumnOrBuilder` `getColumnsOrBuilder​(int index)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`List<? extends PlanProtocol.TestColumnOrBuilder>` `getColumnsOrBuilderList()` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getNumRows()` `uint64 numRows = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.ColumnEmitterOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ColumnEmitterOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ColumnEmitterOperator.Builder` `mergeFrom​(PlanProtocol.ColumnEmitterOperator other)`
`PlanProtocol.ColumnEmitterOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ColumnEmitterOperator.Builder` `removeColumns​(int index)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `setColumns​(int index, PlanProtocol.TestColumn value)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `setColumns​(int index, PlanProtocol.TestColumn.Builder builderForValue)` `repeated .xg.db.sqlPlans.TestColumn columns = 1;`
`PlanProtocol.ColumnEmitterOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ColumnEmitterOperator.Builder` `setNumRows​(long value)` `uint64 numRows = 2;`
`PlanProtocol.ColumnEmitterOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ColumnEmitterOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### clear

    public PlanProtocol.ColumnEmitterOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ColumnEmitterOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ColumnEmitterOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ColumnEmitterOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ColumnEmitterOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### setField

    public PlanProtocol.ColumnEmitterOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### clearField

    public PlanProtocol.ColumnEmitterOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### clearOneof

    public PlanProtocol.ColumnEmitterOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.ColumnEmitterOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       int index,
                                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.ColumnEmitterOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ColumnEmitterOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ColumnEmitterOperator.Builder mergeFrom​(PlanProtocol.ColumnEmitterOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ColumnEmitterOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`
Throws:
  `IOException`

#### getColumnsList

    public List<PlanProtocol.TestColumn> getColumnsList()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

Specified by:
  `getColumnsList` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

Specified by:
  `getColumnsCount` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`

#### getColumns

    public PlanProtocol.TestColumn getColumns​(int index)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

Specified by:
  `getColumns` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`

#### setColumns

    public PlanProtocol.ColumnEmitterOperator.Builder setColumns​(int index,
                                                                 PlanProtocol.TestColumn value)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### setColumns

    public PlanProtocol.ColumnEmitterOperator.Builder setColumns​(int index,
                                                                 PlanProtocol.TestColumn.Builder builderForValue)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addColumns

    public PlanProtocol.ColumnEmitterOperator.Builder addColumns​(PlanProtocol.TestColumn value)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addColumns

    public PlanProtocol.ColumnEmitterOperator.Builder addColumns​(int index,
                                                                 PlanProtocol.TestColumn value)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addColumns

    public PlanProtocol.ColumnEmitterOperator.Builder addColumns​(PlanProtocol.TestColumn.Builder builderForValue)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addColumns

    public PlanProtocol.ColumnEmitterOperator.Builder addColumns​(int index,
                                                                 PlanProtocol.TestColumn.Builder builderForValue)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addAllColumns

    public PlanProtocol.ColumnEmitterOperator.Builder addAllColumns​(Iterable<? extends PlanProtocol.TestColumn> values)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### clearColumns

    public PlanProtocol.ColumnEmitterOperator.Builder clearColumns()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### removeColumns

    public PlanProtocol.ColumnEmitterOperator.Builder removeColumns​(int index)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### getColumnsBuilder

    public PlanProtocol.TestColumn.Builder getColumnsBuilder​(int index)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### getColumnsOrBuilder

    public PlanProtocol.TestColumnOrBuilder getColumnsOrBuilder​(int index)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

Specified by:
  `getColumnsOrBuilder` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends PlanProtocol.TestColumnOrBuilder> getColumnsOrBuilderList()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

Specified by:
  `getColumnsOrBuilderList` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`

#### addColumnsBuilder

    public PlanProtocol.TestColumn.Builder addColumnsBuilder()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### addColumnsBuilder

    public PlanProtocol.TestColumn.Builder addColumnsBuilder​(int index)

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### getColumnsBuilderList

    public List<PlanProtocol.TestColumn.Builder> getColumnsBuilderList()

`repeated .xg.db.sqlPlans.TestColumn columns = 1;`

#### getNumRows

    public long getNumRows()

`uint64 numRows = 2;`

Specified by:
  `getNumRows` in interface `PlanProtocol.ColumnEmitterOperatorOrBuilder`
Returns:
  The numRows.

#### setNumRows

    public PlanProtocol.ColumnEmitterOperator.Builder setNumRows​(long value)

`uint64 numRows = 2;`

Parameters:
  `value` - The numRows to set.
Returns:
  This builder for chaining.

#### clearNumRows

    public PlanProtocol.ColumnEmitterOperator.Builder clearNumRows()

`uint64 numRows = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.ColumnEmitterOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ColumnEmitterOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnEmitterOperator.Builder>`